# Draw a rectangle using the graphics API
# by CSCI111

from graphics import *

# create the rectangle
upper_left_pt = Point(10,10)
lower_right_pt = Point(20, 20)
myRectangle = Rectangle( upper_left_pt, lower_right_pt)

# create the canvas, draw the rectangle on it, wait for the mouse click
win = GraphWin("Rectangle")
myRectangle.draw(win)
win.getMouse()

# shift the rectangle to the right by 10 pixels, wait for the mouse click
myRectangle.move(10, 0)
win.getMouse()

# Find out the new coordinates for the rectangle
shifted_uleft = myRectangle.getP1()
shifted_lright = myRectangle.getP2()

print("New Upper Left Point: (",shifted_uleft.getX(), shifted_uleft.getY(), ")")
print("New Lower Right Point: (",shifted_lright.getX(), shifted_lright.getY(), ")")
