# Simulate Pick 4 lottery game - selecting ping pong balls at random
# Modified to figure out if the user entered the winning number
# By CSCI111

from random import *

# define constants that are easy to change so that our
# program is flexible
NUM_PICKS = 4
MIN_VALUE = 0
MAX_VALUE = 9

NUMFORMAT="####"

pickedNum = input("What is your pick? (Format: " + NUMFORMAT + ") ")

winningNum = ""
won = True

print("The winning Pick 4 lottery number is ", end='')

for i in range(NUM_PICKS):
    randNum = randint(MIN_VALUE,MAX_VALUE)
    print(randNum, end='')
    # If they don't match, we know the user didn't win
    if str(randNum) != pickedNum[i]:
        won = False

print()

if won:
    print("Congratulations!  You are very lucky and rich!")
    print("We should be friends!")
else:
    print("Sorry, you lost.")
