# Given a file containing students names and their years (freshman, sophomore,
# junior, or senior) for this class, creates a report (in a file) that
# says the year and how many students from that year are in this class, on the
# same line.
#
# CSCI 111, 02.27.2012

FILENAME="data/years.dat"
REPORTNAME="data/report.dat"

yearsFile = open(FILENAME, "r")

searchTerms = ["FY", "SO", "JR", "SR" ]

# represents the number of times each of the search terms occurs in the file
searchCounts = [0]*4 # creates a list, containing four elements, all 0s

# count the number of times the terms occur in the file
for line in yearsFile:
    for pos in range(len(searchTerms)):
        if searchTerms[pos] in line:
            searchCounts[pos]+=1
    
yearsFile.close()

#############################################################
# write the results into the report file
reportFile = open(REPORTNAME, "w")

for pos in range(len(searchCounts)):
    term = searchTerms[pos]
    count = searchCounts[pos]
    reportFile.write("%2s %3d\n" % (term, count))
        
reportFile.close()
