# Given a file of the form <lastname> <year>
# Keep track of the number of students in each year.
# by CSCI 111, 03.16.2012

FILENAME="data/years.dat"

lastNameToClassYear = {}

namesFile = open(FILENAME, "r")
classYearToCount = {}

for line in namesFile:
    # add each line (as a mapping) to the dictionary
    dataList = line.split()
    year = dataList[1]
    print(year)
    if year not in classYearToCount:
        classYearToCount[year] = 1
    else:
        classYearToCount[year] += 1
    print(classYearToCount)
    
namesFile.close()

# display the mappings, in order by class year (alphabetical order)
sortedClassYears = list(classYearToCount.keys())
sortedClassYears.sort()

for classYear in sortedClassYears:
    print("%18s %3s" % (classYear, classYearToCount.get(classYear)))
    
