# Simple implementation of the game of War
# There are some issues in simulation's accuracy.
# Sara Sprenkle

from card import *
from random import *

def main():
    player1Card = genRandomCard()
    player2Card = genRandomCard()

    print("Player 1 draws a", player1Card)
    print("Player 2 draws a", player2Card)
    
    if player1Card.getRank() > player2Card.getRank():
        print("Player 1 wins", player2Card)
    elif player1Card.getRank() < player2Card.getRank():
        print("Player 2 wins", player1Card)
    else:
        print("Tie! Draw 4 cards each")
    

def genRandomCard():
    """ Returns a randomly generated Card object.
    Assumes an infinite number of decks of cards available."""
    
    suits = ["hearts", "diamonds", "clubs", "spades"]
    
    randRank = randint(2, 14) # generate a random rank
    randSuit = suits[randint(0, 3)]  # generate a random suit
    
    # create a new Card object from randomly generated rank and suit
    randomCard = Card( randRank, randSuit )
    
    return randomCard
    
main()
