# Create full-size tic-tac-toe board
# By CSCI111

from graphics import *

WINDOW_DIM=100

tictactoeBoard = GraphWin("Tic Tac Toe Board", WINDOW_DIM, WINDOW_DIM)

width = tictactoeBoard.getWidth()
height = tictactoeBoard.getHeight()

# draw two vertical lines
point1 = Point(width//3, 0)
point2 = Point(width//3, height)
vline = Line(point1, point2)
vline.setOutline("purple")
vline.setWidth(3)
vline.draw(tictactoeBoard)

vline2 = Line(Point(2*width//3, 0), Point(2*width//3, height))
vline2.setOutline("purple")
vline2.setWidth(3)
vline2.draw(tictactoeBoard)

# draw two horizontal lines
point1 = Point(0, height//3)
point2 = Point(width, height//3)
hline = Line(point1, point2)
hline.setOutline("purple")
hline.setWidth(3)
hline.draw(tictactoeBoard)

hline2 = Line(Point(0, 2*height//3), Point(width, 2*height//3))
hline2.setOutline("purple")
hline2.setWidth(3)
hline2.draw(tictactoeBoard)

tictactoeBoard.getMouse()
