# Given a file and a term to search for,
# find which lines the term is on and the
# total number of lines that contained that term
# CSCI 111, 2/17/2012

FILENAME="data/years.dat"

print("This program will find out how many lines the given search term")
print("is on and show those lines")
print()
print("Looking at file", FILENAME)

searchFor = input("What term do you want to search for? ")

# keeps track of the line number in the file
lineNumber = 0

# keep track of the lines where the term is found
foundIn = ""

# keeps track of the number of lines the term is found
linesFound = 0

# open the file in read mode
dataFile = open(FILENAME, "r")

# Read through each line in the file
for line in dataFile:
    lineNumber += 1
    if searchFor in line:
        linesFound += 1
        foundIn += ("Line %4d: " % lineNumber) + line
        
# always close the file when done reading/writing from file
dataFile.close()

# display the results
print("\"" + searchFor + "\" occurs on", linesFound)
print("Found on:")
print(foundIn)

# Alternative solution:
# Read contents from the file and split on the new lines to break
# into lines, e.g., 
#contents = dataFile.read()
#lines = contents.split("\n")
#for line in lines:
