# Demonstrate file handling exception
# Sara Sprenkle

import sys

def main():
    infileName = input("What file do you want to read? ")
    
    try:
        inFile = open(infileName, "r")
        inFile.close() # not doing anything with the file, so closing it immediately
    except IOError as exc: # exc is the name of the thrown exception
        print("Error reading \"" + infileName + "\".")
        # could be a variety of different problems, so print out
        # the exception
        print(exc)
        sys.exit(1)

    outfileName = input("What file do you want to write? ")
   
    try:
        outFile = open(outfileName, "w")
        outFile.close() # not doing anything with the file so closing it immediately
    except IOError as exc:
        print("Error writing \"" + outfileName + "\".")
        print(exc)
    
main()
