# Given a file of the form <lastname> <year>
# creates a mapping between the last names and years
# by CSCI 111, 03.14.2012

FILENAME="data/years.dat"

lastNameToClassYear = {}

namesFile = open(FILENAME, "r")

for line in namesFile:
    # add each line (as a mapping) to the dictionary
    dataList = line.split()
    lastName = dataList[0]
    year = dataList[1]
    lastNameToClassYear[lastName] = year
    
namesFile.close()

# display the mappings, in order by last name
sortedLastNames = list(lastNameToClassYear.keys())
sortedLastNames.sort()

for lastName in sortedLastNames:
    print("%18s %3s" % (lastName, lastNameToClassYear.get(lastName)))
    

